Summary: XML-LibXML-Common Perl module
Name: perl-XML-LibXML-Common
Version: 0.13
Release: 8%{?dist}
License: GPL or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/XML-LibXML-Common/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl >= 2:5.8.0
BuildRequires: libxml2-devel
Requires: %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')
Source0: XML-LibXML-Common-0.13.tar.gz

%description
%{summary}.

%prep
%setup -q -n XML-LibXML-Common-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor < /dev/null
make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT$installarchlib
%makeinstall
rm -f `find $RPM_BUILD_ROOT -type f -name perllocal.pod -o -name .packlist`

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-%{release}-filelist
if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root,-)
%attr(0755, root, root) %dir %{perl_vendorarch}/XML
%attr(0755, root, root) %dir %{perl_vendorarch}/XML/LibXML
%attr(0755, root, root) %dir %{perl_vendorarch}/auto/XML
%attr(0755, root, root) %dir %{perl_vendorarch}/auto/XML/LibXML
%attr(0755, root, root) %dir %{perl_vendorarch}/auto/XML/LibXML/Common
%doc Changes LICENSE README

%changelog
* Thu Mar 6 2008 Marcela Maslanova <mmaslano@redhat.com> 0.13-8
- patch from Robin Norwood
- Resolves: rhbz#221286
- Specify permissions on directories to work around rpm issue.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 27 2004 Chip Turner <cturner@redhat.com> - 0.13-1
- Specfile autogenerated.

